Skip to main content
POST
Create a customer

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the business

Body

application/json
email_address
string
required

The email address of the customer

phone_number
string | null

The phone number of the customer

metadata
object | null

Any metadata to attach to the customer

full_name
string | null

The full name of the customer

Response

200 - application/json

The created Customer object

id
string
required

The ID of the customer

external_id
string | null
required

The external ID of the customer

email_address
string | null
required

The email address of the customer

phone_number
string | null
required

The phone number of the customer

full_name
string | null
required

The full name of the customer

metadata
object
required

The metadata associated with this customer

unsubscribed
enum<string> | null
required

The unsubscribe status of the customer

Available options:
future,
campaign